pdfMachine help

How does it work?

pdfMachine has a print driver that converts application print streams directly to a PDF file. Once you have installed pdfMachine, if you open up the 'printers' folder you will see the 'Broadgun pdfMachine' printer.

To use pdfMachine simply open the document you want to print and print to the 'Broadgun pdfMachine' printer.


Printing Example

Printing from Internet Explorer

1. Open your document then open up the web page you wish to print from within Internet Explorer. In this case we open up http://broadgun.com

2. From the 'File' menu select 'Print', as shown below.

3. Select the 'Broadgun pdfMachine' printer

4. A window like the one below pops up. Select the pdfMachine printer then press the 'Print' button.

5. Preview PDF file and select the next action. A window like the one below pops up displaying your PDF file.

Save As | Prompts you to save the PDF document to a filename of your choice
Send | Launches the default email client with the PDF file attached. The PDF file will have a default filename which is based on the original document filename but can be edited.
Edit | Launches the edit window that allows you to insert, append, delete and rearrange pages within a PDF file.
Options | Displays the configuration options property sheet
Help | Launches the help window


Editing

When the “Edit” button is clicked in the preview window the following window is launched. The left hand side contains thumbnail images of every page in the document. The right hand side shows the current page.

When you have finished editing the document you must close the current window and the new document will be displayed in the preview window.

Thumbnail View

Rearrange Pages: You can rearrange the order of pages by selecting thumbnails and dragging them into the correct position. You can delete pages by selecting a thumbnail and pressing the delete key.

Bookmark View

You can move bookmarks around by the "drag and drop" method. If you right click on a bookmark, you will see a menu of options for adding, deleting and changing bookmarks.

File Menu

Save | Saves the current document as is
Close | Closes the edit window

Pages Menu

Insert Pages | Prompts you to insert a PDF file after the current page
Append Pages | Prompts you to append a PDF file to the end of the document
Delete Pages | Deletes the currently selected pages

Bookmarks Menu

Cut | 'Cuts' the highlighted bookmark ready for the paste operation
Copy | 'Copies' the highlighted bookmark ready for the paste operation
Paste | Adds the previously copied or cut bookmark as a sub bookmark to the currently highlighted bookmark
Delete | Deletes the highlighted bookmark
Rename | Renames the highlighted bookmark
Edit / Add | Displays the following: This allows you to change the page the bookmark will take you to when it is clicked on.


New Page 1

General

Save Filename Action Controls the filename of the resulting PDF file.
Valid Values | Description
Use the 'Default Directory' and 'Default Save Filename' | Use the values for "Default Directory" and "Default Filename" to generate a file name. This file will be overwritten without any prompting.
Use document title as filename | Use the document title for the filename. The file will be saved in the "Default Directory". The document title is obtained from the pDocName member of the DOC_INFO_1 print job structure. This gives developers the opportunity to control the filename programmatically. Note that the value may be automatically converted into a legal filename if it contains illegal filename characters.
Random number as filename | A random number is used for the filename prefix. e.g. "45389328.pdf"
Default Directory | The directory that is used to store the PDF file in.
Default Filename | The filename that is always used.
Printer Resolution (DPI) | Defines the resolution that is used by the printer driver in dots per inch. This usually has little effect on file size but controls the precision with which text and graphics are placed.
Image Resolution (DPI) | The resolution that images are 'down-sampled' to measured in dots per inch. Sometimes images are sampled at a high DPI for better results when printing to high-end printers. These high DPI sampled images result in larger PDF files. Screen resolution is 96 DPI, which is a good setting for PDF files intended solely for screen viewing.
JPEG Quality | High quality results in larger PDF files, low quality smaller PDF files. "No JPEG" means JPEG compression is not used - "Flate" compression is used which is not "lossy" like JPEG.
Auto append | When checked, PDF's are automatically appended to the currently open PDF in the pdfMachine viewer. If not checked, a separate viewer is launched for each print job.
Save settings for shared printers When this button is clicked the following files are updated:
C:\windows\system32\spool\drivers\w32x86\2\bgsconf.ini
C:\windows\system32\spool\drivers\w32x86\win40\0\bgsconf.ini

The actual location of the files may differ on your system.

If this machine is designated a "print server", these files are used upon installation of network printer clients in "point & print" installations. This enables network administrators to customise installations.

The first file contains the initialisation parameters for Win NT/2000/XP printer clients, the second one contains the same parameters but is used for is the Win9X network client installs.


Next Action

Next Action Controls what happens after the PDF file has been generated.
Valid Values | Action
Launch pdfMachine viewer | Default behavior. Launches the pdfMachine viewer.
No next action | Do nothing. No next action takes place. No user interface will be displayed.
Launch default PDF viewer | Launch the default PDF file viewer. (usually Acrobat reader)
Execute the command line | Execute the command line that is defined by the "Exec Cmd." value. This command is executed after the PDF file has been created.
Launch default mail client with attached PDF | Launches the default MAPI email client with the PDF file as an attachment. If there are values in "Email Subject" and "Email Body" they are populated in the email client.
Show 'Save As' window | Pops open the standard "Save As" window.
Exec. Command When "NextAction" is equal to "Execute the command line", this is the command that is executed. It may contain a string such as "%s" which will be substituted with the full path of the generated PDF file.
e.g. ExecCmd = c:\winnt\notepad.exe "%s" This would launch the notepad.exe program upon completion of file generation. The notepad program would open the PDF file
Email Fields If set, provides default values for the default mail client when it is launched. If the first character is an '@' then the rest of the text is taken to be a filename and the text is read from the file.
e.g. if the "Email Body" value was "@c:\body.txt" then the file c:\body.txt would be read in and this would be placed in the body of the email.

For the TO, CC, BCC address fields, several addresses may appear if the addresses are comma or white space separated. Some email applications require the "SMTP:" prefix on mail addresses to send SMTP style mail.
Confirm Email Attachment Name | If checked, the user will be prompted to confirm or change the name of the PDF attachment when the "send" button is pressed.
Auto. Send | If checked, and an "Email To:" value is supplied the mail is sent automatically.


Security

pdfMachine supports PDF encryption, as defined in the "Adobe Portable Document Format Version 1.4".

Protect Document | If checked enables the security features.
Encryption Key length | RSA compatible encryption is used, with either 40 bit or 128 bit key lengths. NB. Acrobat Reader versions prior to version 5 only support 40 bit encryption. 128 bit encryption is more secure than 40 bit encryption.
User Password | If supplied, then this password must be entered for the document to be opened. Applications like Acrobat Reader will prompt the user to enter this password prior to displaying the document. Longer passwords are more secure than shorter ones - up to a maximum size of 32 characters.
Owner Password | If supplied, this password will have to be entered for users to change document Permissions. Permissions can be changed in programs such as Adobe Acrobat.
Permissions | These control what access the user has to the document. NB. If no owner password is present then these permissions can be changed by anyone who can open the document (if they have the appropriate software). Beware; there are programs available that can remove these permissions from PDF documents without the need of an owner password.


Text Watermark

This allows you to place a simple diagonal text string on every page of the PDF file. This feature is only available in the paid registered version.

Diagonal Text | This is the text that appears as the watermark.
Font | This is the font that the watermark will use. These fonts are substituted with the base PDF fonts.
Font size | The size in points of the watermark text.
Font Style | Whether a solid or outline font style is desired.
Grey Factor | How gray do you want the watermark to be? A value of 0 is black; a value of 100 is white.


PDF Stationery

Allows you to use the first page of an existing PDF file as stationery. The first page of the stationery PDF file will be merged on to every page of the resulting PDF file.

The "Draw stationery last" controls whether or not the stationery appears as a foreground or a background.


Registration

Enter Registration Details

Registration steps:

1. After purchasing pdfMachine you will receive an alphanumerical key code via email.

2. Cut and paste the key code and click “register”. Once registered the "pdfMachine trial version" watermark will no longer appear on every page.

When purchasing pdfMachine you will be asked to specify how many licenses you require. A single registration code may contain licenses for a number of workstations. Multiple codes may be entered. This is of interest when the pdfMachine is installed as a "print server".


Document Information

When enabled, allows you to set document information or meta data that is embedded into the PDF document. This data can be seen by PDF viewers under "document properties" or "document summary".


N-Up

N-Up allows you to shrink several pages on to one page. This is a great paper saving feature, or just handy if you want to see several pages side by side. It can also be used for creating booklets.

Once enabled, all future prints to the pdfMachine will have "N-Up" applied. If you are currently viewing a document in the pdfMachine viewer and enable "N-Up" then the current document will have "N-Up" applied to it.

Number of pages | Either 1, 2, 4 or 8 pages can be shrunk onto one page.
New Page Size | This is the page size of the resulting page.
Margin Size | This controls the distance between pages and the edge of the page.


Parameter Parsing

If enabled, the PDF file will be parsed for parameters. These parameters can control the way pdfMachine works. This is useful for integration with legacy software to do "mail merge" type operations.

The parameter parsing is done using the "Perl-Compatible Regular Expressions" library developed by Philip Hazel. For a detailed explanation of regular expressions, please read http://home.att.net/~robertdunn/Papers/RegExpSyntax.html

The default regular expression used is:
#_ (\w+) ([^_]+)_#

This matches text such as:
#_ keyword the value _#

The first word can be any on the following list. Most are self explanatory. They match registry settings for pdfMachine. For more details, please read http://broadgun.com/pdfmachine/developer.htm

NextAction
SaveFilenameAction
DefaultSaveFilename
EmailTo
EmailCC
EmailBCC
pdfTemplateOrgPath
pdfTemplateEnable
pdfTemplateOnTop
pdfTemplate
watermark
watermarkFontName
watermarkFontSize
DocInfoEnable
DocInfoTitle
DocInfoAuthor
DocInfoSubject
DocInfoKeywords
DocInfoCreator
DocInfoProducer
DocInfoCreationDate
DocInfoModDate
DocName
UserConfirmAttachmentName
AutomatedMapiSend

eg. the following example would send an email to user@broadgun.com, with the attachment called "mypdf.pdf" and the subject "pdfMachine is great" and the body "Hi, Please have a look at the attachment." (spread over 2 lines).

#_ emailto user@broadgun.com _#

#_ emailsubject pdfMachine is great _#

#_ docname mypdf.pdf _#

#_ AutomatedMapiSend 0 _#

#_ Emailbody Hi,

Please have a look at the attachment. _#

#_ NextAction 3 _#


MS Office Integration

pdfMachine places toolbars in the Microsoft Office applications Word, Excel, Powerpoint and Outlook. This makes it easy to produce a PDF file from your MS Office documents. It only works if you have version MS Office 2000 or higher installed.

PDF Bookmarks

If a MS Word document has a Table Of Contents field, and one of the "Create PDF" buttons is pressed, pdfMachine create a set of PDF bookmarks in the PDF file based on the Table Of Contents.

PDF Bookmarks are also created from Powerpoint documents.


pdfScanMachine

A program that produces a PDF file from a TWAIN compliant scanner or camera. This program is invoked from the Windows Start menu, under the "Broadgun software" folder.

Page Size | The page size of the resulting PDF file.
Center on page | Check this if you want the image centered on the page.
Scale to fit | Check this if you want the image scaled to fit the entire page.
Next >> | When you click this you will prompted to select your scanning device, then the scan will occur.


Contact

Support Details

Email |
Australian Voice/Fax | +61 3 9923 6309

Purchase

To purchase pdfMachine online with a credit card, please go to:
http://broadgun.com/pdfmachine/purchase.php

After purchase, you will be emailed a registration code, along with instructions on how to enter the code.